## ros-noetic-trac-ik 1.6.6

=== debian/changelog ===
ros-noetic-trac-ik (1.6.6-1focal) focal; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 05 May 2021 05:00:00 -0000

ros-noetic-trac-ik (1.6.4-1focal) focal; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 29 Apr 2021 05:00:00 -0000

ros-noetic-trac-ik (1.6.2-1focal) focal; urgency=high

  * changed package.xmls to format 3
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 05:00:00 -0000

ros-noetic-trac-ik (1.6.1-1focal) focal; urgency=high

  * Pushing changes for noetic compatibility

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 05:00:00 -0000

ros-noetic-trac-ik (1.5.1-1focal) focal; urgency=high

  * Fixed theta normalize bug

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 15 Jul 2019 05:00:00 -0000

ros-noetic-trac-ik (1.5.0-1focal) focal; urgency=high

  * Switch to C++-11 threads and pointers instead of Boost

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 22 Aug 2018 05:00:00 -0000

ros-noetic-trac-ik (1.4.11-1focal) focal; urgency=high

  * Change to python install location for swig wrapper

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 06 Feb 2018 06:00:00 -0000

ros-noetic-trac-ik (1.4.10-1focal) focal; urgency=high

  * Fix URDF types to work in Indigo through Lunar on trusty through zesty

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 21 Jan 2018 06:00:00 -0000

ros-noetic-trac-ik (1.4.9-1focal) focal; urgency=high

  * Fixed MoveIt! plugin params to look in the correct place
  * Added a swig wrapper around TRAC-IK courtesy of mailto:Sammy.Pfeiffer@student.uts.edu.au

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 11 Jan 2018 06:00:00 -0000

ros-noetic-trac-ik (1.4.8-1focal) focal; urgency=high

  * Updated type to use generic typedef so boost (xenial) and C++ (zesty) pointers can be used as needed

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 26 Dec 2017 06:00:00 -0000

ros-noetic-trac-ik (1.4.7-1focal) focal; urgency=high

  * Fixed bug introduced in 1.4.6 where threaded function call should be returning a bool but was not returning anything

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 21 Dec 2017 06:00:00 -0000

ros-noetic-trac-ik (1.4.6-1focal) focal; urgency=high

  * Incorporated PR to fix plugin header and templatize the KDL/NLOpt solver threads used by TRAC-IK

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 08 Nov 2017 06:00:00 -0000

ros-noetic-trac-ik (1.4.5-1focal) focal; urgency=high

  * Updated CMake file to work with Eigen on 14.04 through 16.04

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 21 Dec 2016 06:00:00 -0000

ros-noetic-trac-ik (1.4.4-1focal) focal; urgency=high

  * Minor formatting and speed improvements based on user Issues and Pull Requests.

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 01 Aug 2016 05:00:00 -0000

ros-noetic-trac-ik (1.4.3-1focal) focal; urgency=high

  * trac_ik_kinematics_plugin and trac_ik_examples needed build depends on libnlopt-dev

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 16 Jun 2016 05:00:00 -0000

ros-noetic-trac-ik (1.4.2-1focal) focal; urgency=high

  * New revision for ROS Package release.  Thanks to Gijs van der Hoorn

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 16 Jun 2016 05:00:00 -0000

ros-noetic-trac-ik (1.4.1-1focal) focal; urgency=high

  * Fixed weird parsing issue with certain URDFs.

 -- TRACLabs Robotics <robotics@traclabs.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-noetic-trac-ik (1.4.0-1focal) focal; urgency=high

  * Added example program for using TRAC-IK.
  * Added ability to get KDL chain structures from TRAC-IK class.

 -- TRACLabs Robotics <robotics@traclabs.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-noetic-trac-ik (1.3.9-1focal) focal; urgency=high

  * Added new TRAC-IK constructor that takes URDF location, base link, and tip
    link, instead of KDL structures.
  * Some README fixes based on user comments

 -- TRACLabs Robotics <robotics@traclabs.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-noetic-trac-ik (1.3.8-1focal) focal; urgency=high

  * Fixed how continuous joints are handled in random restarts

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 04 Jan 2016 06:00:00 -0000

ros-noetic-trac-ik (1.3.7-1focal) focal; urgency=high

  * Fixed bug introduced in 1.3.6 where tip frame was being used for Inverse
    Jacobian, which was never converging.

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 04 Jan 2016 06:00:00 -0000

ros-noetic-trac-ik (1.3.6-1focal) focal; urgency=high

  * Fixed tolerances to be in tip frame, not base frame.
  * Fixed Hydro compile issue
  * Changed to std::numeric_limits for +/-FLT_MAX and epsilons
  * Fixed potential error with URDF soft limits

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 04 Jan 2016 06:00:00 -0000

ros-noetic-trac-ik (1.3.5-1focal) focal; urgency=high

  * Overhaul of how multiple solutions are managed in TRAC-IK threads.
  * Improved speed and accurate returning of unique results found.

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 08 Dec 2015 06:00:00 -0000

ros-noetic-trac-ik (1.3.4-1focal) focal; urgency=high

  * Fixed a bug where we were looping over solutions inside of looping over
    solutions.

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 10 Dec 2015 06:00:00 -0000

ros-noetic-trac-ik (1.3.3-1focal) focal; urgency=high

  * Change final normalization for manipulability metrics with continuous
    joints. Make continuous joints explicitly handled (if lower_limit >=
    upper_limit, joint is continuous).

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 10 Dec 2015 06:00:00 -0000

ros-noetic-trac-ik (1.3.2-1focal) focal; urgency=high

  * Fixed bug where TRAC-IK multisolution modes weren't using the computed
    random seeds, but were using the same seed over and over.
  * Fixed potential issues with large bound joints seraching too large of a
    space


