=== debian/control ===
Source: ros-noetic-trac-ik
Section: misc
Priority: optional
Maintainer: TRACLabs Robotics <robotics@traclabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/trac_ik
Standards-Version: 3.9.2

Package: ros-noetic-trac-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-trac-ik-examples, ros-noetic-trac-ik-kinematics-plugin, ros-noetic-trac-ik-lib, ros-noetic-trac-ik-python
Description: The ROS packages in this repository were created to provide an improved alternative Inverse Kinematics solver to the popular inverse Jacobian methods in KDL.
 TRAC-IK handles joint-limited chains better than KDL without increasing solve time.
